Test::CPAN::Changes(3)

NAME
Test::CPAN::Changes - Validation of the Changes file in a CPAN distribution

SYNOPSIS
    use Test::More;
    eval 'use Test::CPAN::Changes';
    plan skip_all => 'Test::CPAN::Changes required for this test' if $@;
    changes_ok();

DESCRIPTION
This module allows CPAN authors to write automated tests to ensure their changelogs match the specification.

METHODS

  changes_ok( )
Simple wrapper around "changes_file_ok". Declares a four test plan, and uses the default filename of "Changes".

  changes_file_ok( $filename, \%arg )
Checks the contents of the changes file against the specification. No plan is declared and if the filename is undefined, "Changes" is used.

%arg may include a version entry, in which case the entry for that version must exist and have content. This is useful to ensure that the version currently being released has documented changes.

SEE ALSO

•   CPAN::Changes::Spec

•   CPAN::Changes

AUTHOR
Brian Cassidy <bricas@cpan.org>

COPYRIGHT AND LICENSE
Copyright 2011-2013 by Brian Cassidy

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.